#ifndef UTIL_H
#define UTIL_H

#include <QMessageBox>

static void showWarning(QString str)
{
    QString title = QObject::tr("Warning");
    QMessageBox *msgBox = new QMessageBox(QMessageBox::Warning,
                                          title,
                                          str, QMessageBox::Ok);
    msgBox->exec();
    std::cerr << title.toStdString() << ": " << str.toStdString() << std::endl;
}

static void showCriticalError(QString str)
{
    QString title = QObject::tr("Critical Error");
    QMessageBox *msgBox = new QMessageBox(QMessageBox::Critical,
                                          title,
                                          str, QMessageBox::Ok);
    msgBox->exec();
    std::cerr << title.toStdString() << ": " << str.toStdString() << std::endl;
    exit(-1);
}

#endif // UTIL_H
